Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002766Arma 3Configpublic2013-03-08 13:422013-12-13 13:41
ReporterInstaGoat 
Assigned Tojapapatramtara 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformPCOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Version 
696 vote(s) 99,43%
4 vote(s) 0,57%
Summary0002766: PROPOSAL for change in Mounting Interface Config design for Weapons - Mounting system categories on Weapons
DescriptionEDIT 22.09.2013: The game has been released, and already we are seeing attachments conflicting with each other to the degree of mods rendering each other nonfunctional. No single user weapon or native game weapon can be easily provided with other user made or even native attachments without extensive work inside the configuration files. The -complete- lack of cross-compatibility is beginning to show, and any mod bringing new optics or lasers will be forced to stick to only weapons explicity allowing for its use and excluding all native and other weapons not associated with the user that made the attachments.

So basically what we expected at Alpha release has taken place: weapons attachments are, as far as the modding is concerned, pretty much useless across mods and not even compatible with native weapons without hacking.

From this thread (Item 1 below), as well as talking to people who already have tried to find out how the new rail mount proxies work, it appears that a weapon needs to have -all- sight types defined that can be mounted on it: This precludes all other community or otherwise added sights, muzzle devices and lights even if they realistically would have the appropriate mounting interface.

I thus propose, if at all possible, a configuration system where both Rifle and attachment have a mounting system stated in their config, and only Attachments that match a weapon's configged mounting system can be attached to it.

This would eliminate the need to manually hex edit existing Weapons to allow mounting of new Sights, or other hack-jobs that appear to be necessary with the current setup.

Example: M1918 rail system, Soviet Dovetail mount, etc.

Optics with the M1918 config entry could be freely mounted on any weapon with a compatible M1918 mounting system specified in their own config, ie, Eotechs, Aimpoints, etc.

Similarily, only an optic with a soviet style dovetail mount could be mounted on the siderail of an AK platform weapon, ie. PSO

This would simplify the process of allowing weapons to take on attachments. Currently, all addon and vanilla attachments would need to be specified in the config of any addon weapon, and considering how many optics attachments there will be, many weapons will have sights largely incompatible, unless the current system is changed.

This as a proposal and for consideration.
Additional Information(1) http://forums.bistudio.com/showthread.php?147718-Bringing-A2-weapon-addons-to-A3&p=2316231&viewfull=1#post2316231 [^]

(2) http://forums.bistudio.com/showthread.php?163606-Scope-mod-Progress-so-far/page4 [^] <- Example of user addon conflicts due to the attachment system rendering attachments useless.
Tagsacog, Addon, Addons, aim, aiming, Aimpoint, AK, attachment, Attachments, Config, docter, dot, Dovetail, Eotech, Laser, light, Modding, Mods, MX, Optic, optics, Picatinny, Rail, rails, RCO, red, reflex, RIS, scope, scopes, sight, trijicon, weapon, weapons
Game VersionArma 3 Dev
Attached Files

- Relationships
has duplicate 0008031closed Allow for addon makers to more easilly make custom optics and accessories compatible with arma 3 weapons 
has duplicate 0009177closed Weapon attachments compatibility way it work 

-  Notes
(0004342)
BCMM (reporter)
2013-03-08 13:47

To clarify, does that mean that, currently, vanilla weapons cannot accept community attachments?
(0004357)
InstaGoat (ticket author)
2013-03-08 14:01

Apparently, they can only accept attachments in their own configuration files. So no, vanilla weapons appear to not be able to accept any community attachments at this point.

Not without hacking/modifying their configuration files, at least, which opens a whole host of other problems.
(0004358)
Alwarren (reporter)
2013-03-08 14:02

> To clarify, does that mean that, currently, vanilla weapons
> cannot accept community attachments?

They can, but you have to override the config entries for the weapons. With different addons adding attachments, this might cause a problem.
(0004362)
Prospekt (reporter)
2013-03-08 14:04

Really important proposal, please vote up
(0004599)
javelin10 (reporter)
2013-03-08 17:56

Yes this looks very sensible. Voted up.
(0005062)
Jsmuk (reporter)
2013-03-09 02:00

Firstly I should say I am not 100% up to speed on how to do configs etc but I do have some knowledge of SQF so this may be completely impossible. However...

Could a simple way of doing this just be for the weapon to accept anything that is extending that class? For example you could have a base "holosight" class that the weapon will accept and anything derived from that class. I guess if that was possible it could be done in multiple ways like instead of "holosight" as the base class it could just be a rail type.
I feel this way would allow people to specify types of sights that their guns can mount so they can prevent other types if they wish.

On top of that I think a system like this would make it easier for other attachments, for example if someone wanted to model varying types of flashlight that can be mounted onto any gun that accepts a flashlight they would be able to with ease.

Sorry this note is a bit long but that is just my personal opinion on how this problem could be solved from a technical point of view. No idea if its even possible within ArmA.
(0005236)
Wallace15nd (reporter)
2013-03-09 09:52
edited on: 2013-03-09 09:54

I have zero coding experience, but perhaps a system similar to this might work?

In the config of a weapon, it has a variable for what type of rail system it uses, with a number of attach points defined.

Scopes attach to point 1
Lights/Lasers to point 2
UGLs to point 3
etc.

That way, community added attachments would simply need two variables (e.g. Dovetail2, Picatinny1) to work with ALL weapons, vanilla, modded, and foreign. As well as new weapons simply needing these points defined on their base models.

Lastly, for very large attachments (e.g. 14x Leopold scopes), the attach point could be potentially shifted along an XYZ grid? e.g. PIC1, -2.0,-0.2,1.0

(0013718)
columdrum (reporter)
2013-03-21 01:14
edited on: 2013-03-21 01:16

The problem right now its that the weapons are still always handled as static classnames(well the classname change when depending on the attachments... LOL).

They should just implement the same thing that is planed for DayZ standalone and make them real items in the world. That would allow access them directly ( allow play animations, store variables on them,....), and the attachmets would be just a property.

(0015299)
Stiffwood (reporter)
2013-03-26 00:10

@columdrum yes I don't know why they can't pick up from that experience. The way its done atm is looking good, but it seems very cumbersome to modify.
(0015974)
r3volution (reporter)
2013-03-27 14:12

Definitely a far more elegant and open/accessible method of config for attachments. UPVOTED!
(0017728)
Kol9yN (reporter)
2013-04-01 22:48
edited on: 2013-04-01 22:48

Voted! PSO-1 can be used on lot of weapons...
I dont want to rework all BIS configs...

(0018663)
NordKindchen (reporter)
2013-04-05 00:53

Seriously....who came up with the current system? Regarding Armas modding history this was not very clever to say the least....

Next time allow only character models listed in a special list for each vehicle to be allowed to enter it....sounds equal to me....

Sry for beeing sarcastic but a little bit of thinking can seriously be expected before imlementing such otherwise great feature....
(0019929)
Earion (reporter)
2013-04-10 01:04
edited on: 2013-04-10 01:20

yup, and what's more... We've seen under barrel GL is not an attachment, which is quite disappointing. The only pro I could think about, is that you could perhaps mount a forward grip under the GL quite easily, because everything is hardcoded...

Now with a object-oriented weapon system + generic mounting points + mounting coordinates, you could even have a recursive structure with attachments that have mounting points themselves : underbarrel GL with bottom mount(grip...), ACOG with top mount (RDS...) OK that's pushing it a bit.

Or not ?

(0019932)
Earion (reporter)
2013-04-10 01:14
edited on: 2013-04-10 01:20

Oh, and UI rework... A gun can only have 4 attachments ? A flashlight, an IR Laser, but not both ? What about mounting a night sight in front of an ACOG ? A PVS-14 behind an EOTech ?

Sorry for being sarcastic as well, but hell, where did you get those ideas... Battlefield 3 ?

(0021230)
Kemeros (reporter)
2013-04-16 17:12
edited on: 2013-04-16 17:39

I'm up voting this because i agree that weapon mounts shouldn't be this limited and the rail system is made specifically to permit many types of mounts.

I do feel the need to ask people to go easy with the sarcasm though. Some comments here are borderline rude.

The number of votes speak for itself, people don't agree with the current limitations and want more variety. They did say that more content would come but mostly during beta. The current ticket has been reviewed so they know about this issue.

Don't take this as a me defending the devs, they're big boys(and gals?). But this feedback ticket has a bad vibe to it.

I do hope they consider making the weapon mount system even more awesome. :)

Edit: Switched the word mod for mount or weapon mount. I seem to have confused the guy under me.

(0021238)
ShotgunSheamuS (reporter)
2013-04-16 17:32

Im all for supporting the modding community, after all, isnt BIS also all for the modding community? Im sure they will be working on it.
(0021245)
Kemeros (reporter)
2013-04-16 17:41
edited on: 2013-04-16 17:41

We're talking about weapon modding or weapons mounts if you prefer. Not general game modding. BI are of course all for their modding community. :)

(0021250)
CXN2615 (reporter)
2013-04-16 17:49

Not only Rail moutings,Also magazines should have their interface system.
Like 4179 STANAG Mags,used in 5.56AR SCAR FAMAS L85 FNC...and so on.also it can be used with 6.8mm and some other calibers.
In ArmA2,with tons of Mods,the magazines sometimes don't interchangeable with other mods even they do in realworld.
This should be done with just 2 value,interface system code and caliber.Also,some guns may have more than one interface,like Minimi.
(0021280)
sarlac (reporter)
2013-04-16 18:57

1000% yes. This is going to save so much time for mod makers and players alike.
(0022346)
Christian_K (reporter)
2013-04-21 21:24

Reference/Duplicates:
http://feedback.arma3.com/view.php?id=3597 [^]
http://feedback.arma3.com/view.php?id=5809 [^]
(0024045)
gobbo (reporter)
2013-04-27 12:35

While we're at it, can we have this for magazines as well? It's a pain in the rear to add new magazines, because there's always some classnames you forget in the magazines[] array (plus, of course, overriding other addons).
(0025351)
Stiffwood (reporter)
2013-05-05 23:52

Yes Gobbo that too. I really hope this was quickly put together so to be able to push out the alpha and not final work.

As Nordkindchen already said, with the amazing work made by former and ongoing modding community a system like this is like teasing with the idea of having a modular approach to weapons and attachements, just to retract the possiblity of it ever working without hackjobs.
(0026794)
Val (reporter)
2013-05-13 23:12

I think if BIS are going to change the mounting system (and I hope they do because despite the customization system is great and already works much better than in Arma 2 there are some ways to improve it), then it would be great to add some kind of "sub-attachments" that are attached to the attachments itself. Lets take scopes for example: you can set a high powered Leupold scope on your rifle as the attachment itself and AN/PVS-22 as a "sub-attachment" for your Leupold. Another example is EOTech and AimPoint sights -- you put on EOTech/AimPoint as a scope attachment itself and you can add a magnifier or AN/PVS-14 as a "sub-attachment" for them. Also it will make possible to create combinations such as M203 with tactical grip (just like this one http://www.thefirearmblog.com/blog/wp-content/uploads/2010/10/rifle_hot_rails_1-tfb.jpg [^] ) and many others.
(0026799)
mwnciboo (reporter)
2013-05-13 23:36

Agreed, this would enable the Mod community to continue to build excellent mods, for this reason alone this is a must.
(0026816)
Blueteamguy (reporter)
2013-05-14 01:17

Voted up. I think it is going to be hard to implement to it may have to be a Beta or even Release feature.
(0027129)
jtgibson (reporter)
2013-05-15 03:41

I don't think this would be all that hard to implement, at least as initially proposed -- it just controls the whitelist of things that can be attached, and the rest is already handled through something called model proxies. Instead of the whitelist being based on classnames it should just be based on whether the attachment has a text string that matches one of the weapon's accepted text strings.

I fully support the original proposal.

Going full tilt and supporting an unlimited number of proxies/attachments would however be *very* difficult, since it would have to move model parts at run time to accommodate attachment points where they have room. For instance, mounting a reflex sight in front of a scope would be possible in reality, but in the game universe it would require knowing exactly what range of coordinates on the model could accept attachments, the dimensions of the attachment, and whether those dimensions would collide with other attachments. That's a lot of development work for a game that's not actually a gun construction simulator. ;-)

I would of course fully support this hardcore simulation, but I'd rather have the rest of the game first. =)
(0031394)
AssassinenMuffin (reporter)
2013-06-05 05:51

a more complex idea would be to define a path of how long the rail is so you can use for example ctrl + left mouse button klick -to open a slide menu- on the optic to move it more to the fron or the rear of the gun how each person prefers it. or just make them instead of empblems very simple models with a system like in galactic civilization just defined sliding spots under the rails to drag it into position
(0031490)
bez (reporter)
2013-06-05 19:06

I don't know anything about how this really works,
but if the OP idea means that we could have community attachments attached
to vanila weapons and in general make things easier for all of us, I vote up!
(0032887)
.kju-PvPscene (reporter)
2013-06-13 08:45

Instead of this design:

        class WeaponSlotsInfo: WeaponSlotsInfo
        {
            class MuzzleSlot: SlotInfo
            {
                compatibleItems[] = {"muzzle_snds_h"};
            };
            class CowsSlot: CowsSlot
            {
                compatibleItems[] = {"optic_Arco", "optic_aco", "optic_ACO_grn", "optic_hamr", "optic_Holosight","optic_sam_aimpoint","optic_sam_aimpoint_3x"};
            };

The config definition would need such design:

        class WeaponSlotsInfo: WeaponSlotsInfo
        {
            class MuzzleSlot: SlotInfo
            {
                class compatibleItems//not inherited from parent weapon/classes
                {
                    class muzzle_snds_h {};
                };
            };
            class CowsSlot: CowsSlot
            {
                class compatibleItems: compatibleItems//inherited from parent weapon/classes
                {
                    class optic_Arco {};
                    class optic_aco {};
                    class optic_ACO_grn {};
                    class optic_hamr {};
                    class optic_Holosight {};
                    class optic_sam_aimpoint {};
                    class optic_sam_aimpoint_3x {disabled = true;};//disable single optics/classes that should be inherited
                };
            };

or

        class WeaponSlotsInfo: WeaponSlotsInfo
        {
            class MuzzleSlot: SlotInfo
            {
                class compatibleItems//not inherited from parent weapon/classes
                {
                    muzzle_snds_h = true;
                };
            };
            class CowsSlot: CowsSlot
            {
                class compatibleItems: compatibleItems//inherited from parent weapon/classes
                {
                    optic_Arco = true;
                    optic_aco = true;
                    optic_ACO_grn = true;
                    optic_hamr = true;
                    optic_Holosight = true;
                    optic_sam_aimpoint = true;
                    optic_sam_aimpoint_3x = false;//disable single optics/classes that should be inherited
                };
            };
(0035703)
Demongornot (reporter)
2013-06-25 20:10

My ticket was set as duplicate of this one but i prefer my idea of rail size rather than say what is compatible with what, it is nice but still restrictive and can create conflict for a lot of things, mainly when we will see restriction of certain type of scope that real life weapon can mount just because the guy who create the weapon mods or another restriction from dev who THINK that its not supposed to be mounted on it, and its stupid cause if we want to mount a sniper scope on a shotgun, why prevent us to do so ? anyway scope can't give more precision to the barrel, or if a new kind of scope appear.
My system permit to automatically prevent to use attachment that can only be use on a single weapon on another or same for weapon that can only take single attachment.
Same for silencer that can depending of the barrel size, the caliber and even the value of explosive strength by value.
My system is based on fast/single calculation and its even more simple for each weapon created cause just have to set some value and that's all.
(0035707)
Laqueesha (reporter)
2013-06-25 20:14

Oh, great idea! Upvoted!
(0036737)
Adanteh (reporter)
2013-06-27 20:20

Please please do this. It seems so much more logical to just say what type of rails a certain weapon has and then adding the required rail to the attachment. That way it's all compatible as well. Right now if you make an attachment you need to edit all the normal weapons to make sure they can use the attachment.... Even more of a problem: If person A releases a weapon mod and person B releases a mod with attachments, person A will need to update his own mod again to use person B his attachments. With a clear system person A can just says it uses Rail X and person B can prepare his attachments to work with all guns that have a Rail X.
(0037509)
Demongornot (reporter)
2013-06-29 11:55
edited on: 2013-06-29 12:24

Another best example of why we NEED this :
I have installed several mods and i don't know wish one BROKE the original attachment for vanilla weapon, some weapon like the M320 are not unable to receive any scope including the SOS sniper scope, rather than permit us to have more attachment, we are stuck with the default one and it can even happen that they become not compatible for no good reason (for user side).
And i'm bored to be stuck with nothing else than the restrictive vanilla attachments...
In 2035 no thermal optic...i don't think so, in 2035 even low cost terrorist will have it, every big army actually with the upgrade program have for each soldier new weapon and new optic with all night vision and thermal, it mean its already MAINSTREAM to find thermal optic with rangefinder on ASSAULT riffle for STANDARD soldier.

And by the way i maintain that my idea of rail size is WAY BETTER than the one that filter the optic type, if someone what to mount a scope on a shotgun, why prevent him to do it ONLY cause the guy who create the shotgun THINK that its not necessary to put a slot of this kind of optic ?
Ok for filter system that permit to say : this optic is ONLY for this weapon, like "XM25 Scope" type or any special rail that can make some weapon to use only a single attachment.

No offence PvPscene but with your system it will only reporting the compatibility problem, not to what people can setup but to want modder will THINK it is possible to do, and its not a good thing cause it will create again some limitation or too much possibility depending of the guy who setup the lines, like mount a sniper scope on a pistol (not possible cause its too long for the rail system of the pistol) only cause the guy want everything to be possible and think too much arcade or unable to mount scope on assault riffle and stay stuck with small optic and maybe restrictive no zoom holo/red dot only just cause the guy think too much restrictive...

My system is like :
Attachment minimum needed rail length over the weapon rail length = not compatible
Attachment minimum needed rail length under weapon rail length = able to mount it
Attachment rail width over or under weapon rail width = not compatible
Attachment rail width equal to weapon rail width = able to mount it

And special filter for special weapon and scope like the FAMAS FELIN or the XM25 or other like the Dragunov (if i remember the SVD don't use the same rail than other riffle)
It mean no restriction except ONLY for things that must be limited for special weapon/optic case, but nothing else.
It will automatically prevent people to mount ridiculously heavy scope on pistol or small weapon and lets people able to mount long/big scope on weapon that can accept them in real life rather than be limited just cause the modder don't think like this.

Things like rail width can also automatically permit to filter a lot of things.

It mean the ONLY value that we have to set up is :
For weapon, for each rail : Rail length, rail width. For special rail the name of the rail type = FAMAS FELIN, SVD Dragunov, XM25, or -> M9_under_attachment or Pistol_under_attachment for permit to pistol to be equipped with laser/lamp like this for general compatibility : http://www.opticstore.com/APLS-B%20page.jpg [^]
Or like this for standard with some weapon that can't accept it : http://i.imgur.com/gL0sS.jpg [^]

For attachment : Minimum requirement rail length, minimum requirement rail width, and special like = FAMAS FELIN, SVD Dragunov, XM25, or -> M9_under_attachment or Pistol_under_attachment.

For side attachment it is more simple than optic and it permit without restriction to add the one we want to any weapon that have a rail for this.
And for suppressor/flashhidder it can also work with value :
Weapon caliber, barrel size and special value for special weapon that only accept a single suppressor/have a special barrel, those who can't accept a suppresor or for weapon that already have one like the AS VAL for example.

Maybe one day the "mag repack" mods will be integrated per default inside Arma 3 and the possibility to take bullet from mags with the same caliber/dimension but not in the same mag will be possible with my idea of value system rather than predefined type.

It just need the game to make a small calculation when we try to put an attachment but in fact it also calculate with the predefined attachment type system.

(0038962)
CXN2615 (reporter)
2013-07-03 11:44

BTW,if this have been implanted,what about adapter? like Mp5\G3 have it's own rail system,but nowadays most of them use a adapter for picatinny rail.
(0038965)
Demongornot (reporter)
2013-07-03 11:56

In fact the best thing will be a 100% customization weapon, barrel, mechanism, stock, scope with a rail on them :
http://www.trapperindustries.com/optical/NVRS%20Tac.jpg [^]
http://www.tactical-life.com/wp-content/uploads/2008/04/gggaz.gif [^]
http://i00.i.aliimg.com/wsphoto/v0/314731688/Vector-Optics-30mm-1-Inch-Long-Base-Mount-Integrated-Scope-Rings.jpg [^]
And some weapon need adapter like the SVD :
http://cdn2.fast-serve.net/cdn/angie51/AK-SVD-Dragunov-Scope-Mount_800_1XSN3.jpg [^]

But when i see the leak of feature/stupid and bad rail system and even the missing lower attachment slow/no bipod/resting and a lot of other things like this, i don't dream about 100% customization weapon and adapter/accessory on scope's rail and other nice (needed some time) features.
I'm really disappointed by the leak of feature from Arma 3 and i'm really sad so see some arcade game that handle important (and realistic) feature when Arma don't.
(0039316)
columdrum (reporter)
2013-07-04 17:40
edited on: 2013-07-04 17:44

I think that some of you are totally missing the point of the ticket, this is not about how many attachments you need to have. Its more about the config solutions we need, and yes you may need to explain some rail system but don't go to deep into that.

The problem its that the current implementation heavily limits a lot( if not totally) the compatibility between comunity made attachments. Let it a bit more clear for those what doesn't even know what config means:

Right now if someone makes attachment A ( lets say super sniper cool scope) and makes it compatible with a weapon ( lets say a M16). If another modder does a new attachment for that weapon, that 2 mods would conflict and one would overide the other( only 1 of the 2 attachment would work)... Basically its a huge limiting factor for addon compatibility.



Another note that i would say that seems like no one mentioned. The way the attachments are saved on the weapon its ridiculous and hacky. I mean it just replaces the weapon for a different one... so you will need tons of classnames for each weapon with each attachment... its just insane( well better than A2 where you would need also tons of models just of each weapon with each attachment combination).


So why just not make them real objects, accessible and with contents( like a backpack) and treat the attachment as contents. Obviously its not the same as a backpack i am just saying the way of storing the data.

(0052168)
InstaGoat (ticket author)
2013-09-04 23:07

tick tock tick tock we are running out of tiiiimmmeee

I guess this is definitvely not going to be addressed?
(0053315)
XxSheepDoggxX (reporter)
2013-09-11 08:00

600+ VOTES and not even a response... clearly no fucks given, Feel cheated with this release.. no content, future, not a fuck given to community ideas sense the stance adjust icon....
(0053346)
CXN2615 (reporter)
2013-09-11 11:21

Even if it is impossible or just don't want to implant it, any devs to give a statement please?
(0055208)
InstaGoat (ticket author)
2013-09-22 19:16
edited on: 2013-09-22 19:21

Added another forum link. Also updated First post information with current status as far as I can see.

(0056966)
Alwarren (reporter)
2013-10-06 16:30

Here's another link to a post I made on the subject with a proposal on how the system could be modified:

http://forums.bistudio.com/showthread.php?166346-The-Attachments-rant&p=2527582&viewfull=1#post2527582 [^]
(0057058)
japapatramtara (Bohemia Interactive - developer)
2013-10-07 17:51

DEV. 110902

[ADDED] now user can register list of compatible items through class compatibleItems and its sub classes. usage:

class CowsSlot: CowsSlot
{
  class compatibleItems
  {
    optic_Nightstalker = 1;
    optic_tws = 1;
    optic_tws_mg = 1;
    optic_aco = 0; // <--- inherited from parent and zero value means that given optics will be discarded
    optic_ACO_grn = 0; // <-- same as optic_aco.. value=0 means ACO_grn will be discarded
  };
};

so now you have two ways to set list of compatible items - the old:
compatibleItems[] = {"muzzle_snds_L"};

and the new one.

NOTE: DO NOT COMBINE THESE TWO WAYS DUE TO UNEXPECTED BEHAVIOR!!!

P.S.: We're planning to allow modify inherited arrays in config like myArray[] = {-unwanted item} but it will take some time
(0057139)
Fireball (moderator)
2013-10-08 16:02

Marking resolved.
(0057626)
xealot (reporter)
2013-10-14 18:14

I realize this is too late as a (in my oppinion: less desirable) solution was already implemented in dev however I would like to urge the devs to strongly reconsider using any form of lists that needs to be manipulated with compatible classnames for each weapon.

There are basically 2 things that needs to be considered for attachment mounting, the first is mount type and the second is mod compatibility

Different weapons have different mount types such as legacy AKs will have a side-bracket system that only works with russian optics and most western guns (as well as arma3?) use 20mm picatinny rail and all the optics/attachments made for this are (mostly) interchangeable and finally there is for example the german claw mounts as seen on MP5 and other H&K weapons.

In my oppinion the best solution would be something akin to simply having an attribute in every attachment config what mount type its meant for, it could even be as easy as an integer identifier where for example 1 would be 20mm rail so then every red dot designed for 20mm would have attachment_type = 1 and would be compatible with every weapon that accepts this attachment_type.

One potential issue would be if two mods conflict on the identifier and use the same slot however the benefits far outweight this con by not only fixing the whole attachment issue alltogether but also introducing mod compatibility where one mod makes attachments for 20mm rails it will automatically fit for a completely other mod whose weapons accepts 20mm rail attachments with no further interaction or knowledge about the two different mods.

If I understood the current implementation right it would still mean that any new attachments introduced in a new addon would still have to modify all the possible weapons that should be able fit the new attachments which is a stupid solution and works against mod compatibility and it will just create a huge mess worse than what we saw with magazines in arma2
(0057853)
Val (reporter)
2013-10-17 00:41
edited on: 2013-10-18 14:56

Why is it marked as resolved?

Request was to do a configuration system where both Rifle and attachment have a mounting system stated in their config, and only Attachments that match a weapon's configged mounting system can be attached to it; that means we wouldn't need to state attachments in weapon's config.

As far as I see it is not done, and we still have to state each weapon attachment in weapon's config (it's easier than it was earlier though).

(0058647)
Val (reporter)
2013-10-28 14:50

Another question: is that possible to make this compatibleItems class generate dynamically?

For example the game checks all the items and lists those that have the same "interface type" (picatinny rail or dovetail) in one list/class.

After that if the rifle that has the same "interface type" it inherits the class/list.

That means it is able to use all items that have the same "interface type" as the rifle itself without necessity to state all attachments in config.
(0062043)
Fireball (moderator)
2013-12-13 00:27

Mass closing resolved issues not updated since November.

- Issue History
Date Modified Username Field Change
2013-03-08 13:42 InstaGoat New Issue
2013-03-08 13:47 BCMM Note Added: 0004342
2013-03-08 14:01 InstaGoat Note Added: 0004357
2013-03-08 14:02 Alwarren Note Added: 0004358
2013-03-08 14:03 InstaGoat Tag Attached: attachment
2013-03-08 14:03 InstaGoat Tag Attached: light
2013-03-08 14:03 InstaGoat Tag Attached: sight
2013-03-08 14:03 InstaGoat Tag Attached: weapon
2013-03-08 14:03 InstaGoat Tag Attached: weapons
2013-03-08 14:03 InstaGoat Tag Attached: Addon
2013-03-08 14:03 InstaGoat Tag Attached: Addons
2013-03-08 14:03 InstaGoat Tag Attached: Aimpoint
2013-03-08 14:03 InstaGoat Tag Attached: AK
2013-03-08 14:03 InstaGoat Tag Attached: Attachments
2013-03-08 14:03 InstaGoat Tag Attached: Config
2013-03-08 14:03 InstaGoat Tag Attached: Dovetail
2013-03-08 14:03 InstaGoat Tag Attached: Eotech
2013-03-08 14:03 InstaGoat Tag Attached: Laser
2013-03-08 14:03 InstaGoat Tag Attached: Modding
2013-03-08 14:03 InstaGoat Tag Attached: Mods
2013-03-08 14:03 InstaGoat Tag Attached: MX
2013-03-08 14:03 InstaGoat Tag Attached: Optic
2013-03-08 14:03 InstaGoat Tag Attached: Rail
2013-03-08 14:04 Prospekt Note Added: 0004362
2013-03-08 17:56 javelin10 Note Added: 0004599
2013-03-09 02:00 Jsmuk Note Added: 0005062
2013-03-09 09:52 Wallace15nd Note Added: 0005236
2013-03-09 09:54 Wallace15nd Note Edited: 0005236 View Revisions
2013-03-21 01:14 columdrum Note Added: 0013718
2013-03-21 01:14 columdrum Note Edited: 0013718 View Revisions
2013-03-21 01:16 columdrum Note Edited: 0013718 View Revisions
2013-03-26 00:10 Stiffwood Note Added: 0015299
2013-03-27 14:12 r3volution Note Added: 0015974
2013-04-01 22:48 Kol9yN Note Added: 0017728
2013-04-01 22:48 Kol9yN Note Edited: 0017728 View Revisions
2013-04-05 00:53 NordKindchen Note Added: 0018663
2013-04-07 18:32 MadDogX Status new => reviewed
2013-04-10 01:04 Earion Note Added: 0019929
2013-04-10 01:14 Earion Note Added: 0019932
2013-04-10 01:20 Earion Note Edited: 0019929 View Revisions
2013-04-10 01:20 Earion Note Edited: 0019932 View Revisions
2013-04-16 17:12 Kemeros Note Added: 0021230
2013-04-16 17:13 Kemeros Note Edited: 0021230 View Revisions
2013-04-16 17:32 ShotgunSheamuS Note Added: 0021238
2013-04-16 17:39 Kemeros Note Edited: 0021230 View Revisions
2013-04-16 17:41 Kemeros Note Added: 0021245
2013-04-16 17:41 Kemeros Note Edited: 0021245 View Revisions
2013-04-16 17:49 CXN2615 Note Added: 0021250
2013-04-16 18:57 sarlac Note Added: 0021280
2013-04-21 21:24 Christian_K Note Added: 0022346
2013-04-27 12:35 gobbo Note Added: 0024045
2013-05-05 10:27 Sniperwolf572 Relationship added has duplicate 0008031
2013-05-05 23:52 Stiffwood Note Added: 0025351
2013-05-13 23:12 Val Note Added: 0026794
2013-05-13 23:36 mwnciboo Note Added: 0026799
2013-05-14 01:17 Blueteamguy Note Added: 0026816
2013-05-15 03:41 jtgibson Note Added: 0027129
2013-06-05 05:51 AssassinenMuffin Note Added: 0031394
2013-06-05 19:06 bez Note Added: 0031490
2013-06-13 08:45 .kju-PvPscene Note Added: 0032887
2013-06-25 19:11 MadDogX Relationship added has duplicate 0009177
2013-06-25 20:10 Demongornot Note Added: 0035703
2013-06-25 20:13 Laqueesha Tag Attached: Picatinny
2013-06-25 20:13 Laqueesha Tag Attached: rails
2013-06-25 20:13 Laqueesha Tag Attached: RIS
2013-06-25 20:14 Laqueesha Tag Attached: acog
2013-06-25 20:14 Laqueesha Tag Attached: aim
2013-06-25 20:14 Laqueesha Tag Attached: aiming
2013-06-25 20:14 Laqueesha Tag Attached: docter
2013-06-25 20:14 Laqueesha Tag Attached: dot
2013-06-25 20:14 Laqueesha Tag Attached: optics
2013-06-25 20:14 Laqueesha Tag Attached: RCO
2013-06-25 20:14 Laqueesha Tag Attached: red
2013-06-25 20:14 Laqueesha Tag Attached: reflex
2013-06-25 20:14 Laqueesha Tag Attached: scope
2013-06-25 20:14 Laqueesha Tag Attached: scopes
2013-06-25 20:14 Laqueesha Tag Attached: trijicon
2013-06-25 20:14 Laqueesha Note Added: 0035707
2013-06-27 20:20 Adanteh Note Added: 0036737
2013-06-29 11:55 Demongornot Note Added: 0037509
2013-06-29 12:24 Demongornot Note Edited: 0037509 View Revisions
2013-07-03 11:44 CXN2615 Note Added: 0038962
2013-07-03 11:56 Demongornot Note Added: 0038965
2013-07-04 17:40 columdrum Note Added: 0039316
2013-07-04 17:42 columdrum Note Edited: 0039316 View Revisions
2013-07-04 17:43 columdrum Note Edited: 0039316 View Revisions
2013-07-04 17:44 columdrum Note Edited: 0039316 View Revisions
2013-09-04 23:07 InstaGoat Note Added: 0052168
2013-09-11 08:00 XxSheepDoggxX Note Added: 0053315
2013-09-11 11:21 CXN2615 Note Added: 0053346
2013-09-22 19:16 InstaGoat Game Version => Arma 3 Dev
2013-09-22 19:16 InstaGoat Additional Information Updated View Revisions
2013-09-22 19:16 InstaGoat Note Added: 0055208
2013-09-22 19:20 InstaGoat Description Updated View Revisions
2013-09-22 19:21 InstaGoat Note Edited: 0055208 View Revisions
2013-10-06 16:30 Alwarren Note Added: 0056966
2013-10-07 15:59 japapatramtara Assigned To => japapatramtara
2013-10-07 15:59 japapatramtara Status reviewed => assigned
2013-10-07 17:51 japapatramtara Note Added: 0057058
2013-10-08 16:02 Fireball Note Added: 0057139
2013-10-08 16:02 Fireball Status assigned => resolved
2013-10-08 16:02 Fireball Resolution open => fixed
2013-10-14 18:14 xealot Note Added: 0057626
2013-10-17 00:41 Val Note Added: 0057853
2013-10-18 14:56 Val Note Edited: 0057853 View Revisions
2013-10-28 14:50 Val Note Added: 0058647
2013-12-13 00:27 Fireball Note Added: 0062043
2013-12-13 00:27 Fireball Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team